RUBBERBAND(1)

NAME
rubberband — an audio time-stretching and pitch-shifting utility program

SYNOPSIS

rubberband [options] [input file] [output file]

DESCRIPTION

This manual page documents briefly the rubberband command.

Rubber Band is a program that permits you to change the tempo and pitch of an audio recording independently of one another.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

You must specify at least one of the following time and pitch ratio options.

-t, --time X
    Stretch to X times original duration, or

-T, --tempo X
    Change tempo by multiple X (equivalent to --time 1/X)

-p, --pitch X
    Raise pitch by X semitones, or

-f, --frequency X
    Change frequency by multiple X

The following option provides a simple way to adjust the sound. See below for more details.

-n, --crisp N
    Crispness (N = 0,1,2,3,4,5); default 4 (see below)

The remaining options fine-tune the processing mode and stretch algorithm. These are mostly included for test purposes; the default settings and standard crispness parameter are intended to provide the best sounding set of options for most situations.

-P, --precise
    Aim for minimal time distortion (implied by -R)

-R, --realtime
    Select realtime mode (implies -P --no-threads)

--no-threads
    No extra threads regardless of CPU and channel count

--threads
    Assume multi-CPU even if only one CPU is identified

--no-transients
    Disable phase resynchronisation at transients

--bl-transients
    Band-limit phase resync to extreme frequencies

--no-peaklock
    Disable phase locking to peak frequencies

--no-softening
    Disable large-ratio softening of phase locking

--window-long
    Use longer processing window (actual size may vary)

--window-short
    Use shorter processing window

--thresh N F
    Set internal freq threshold N (N = 0,1,2) to F Hz

-d, --debug N
    Select debug level (N = 0,1,2,3); default 0, full 3 (N.B. debug level 3 includes audible ticks in output)

-q, --quiet
    Suppress progress output

-h, --help
    Show a list of available options

"Crispness" levels:

0   equivalent to --no-transients --no-peaklock --window-long

1   equivalent to --no-transients --no-peaklock

2   equivalent to --no-transients

3   equivalent to --bl-transients

4   default processing options

5   equivalent to --no-peaklock --window-short (may be suitable for drums)

AUTHOR

Rubber Band was written by Chris Cannam <cannam@all-day-breakfast.com>.

This manual page was written by Székelyi Szabolcs <cc@mail.3d.hu> for the Debian system (but may be used by others), because the original program does not have a manual page. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.